oracle.adf.view.rich.context

## Class BackingBeanScopeProvider

- java.lang.Object
- - oracle.adf.view.rich.context.BackingBeanScopeProvider

-     @Exported
      public abstract class BackingBeanScopeProvider
      extends Object

  Abstract implementation for code that provides backing bean scope; this may be overridden.

  To override this, provide a file on the classpath at `/META-INF/services/oracle.adf.view.rich.context.BackingBeanScopeProvider` with the name of the alternative implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackingBeanScopeProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `begin(String scopeId)` Indicates the beginning of a new scope instance.
    `abstract void` | `end()` Indicates the end of the current scope as identified by the scope ID of a previous call to begin().

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackingBeanScopeProvider

          public BackingBeanScopeProvider()

  - ### Method Detail

    - #### begin

          public abstract void begin(String scopeId)

      Indicates the beginning of a new scope instance. The scope identified will remain current until end() is called.

      Due to the scope ID being unique per component instance, a component will get one scope. This means that inside of a forEach loop, there will be one scope per stamp of the loop. For iteration, like af:iterator, there will be one scope, shared across each stamp.

      Parameters:
        `scopeId` - identifier for the scope, unique for the duration of the request. The ID is unique per component instance.

    - #### end

          public abstract void end()

      Indicates the end of the current scope as identified by the scope ID of a previous call to begin(). This also makes the previous scope (if any) current again.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.